CDPGuidesSupport

Locations

Manage location embeds. Create a location with its address and coordinates, update fields as needed, and fetch a paste-ready HTML iframe snippet to embed an interactive map on your website.

Manage location embeds. Create a location with its address and coordinates, update fields as needed, and fetch a paste-ready HTML iframe snippet to embed an interactive map on your website.

GET
/rest/v1/locations
AuthorizationBearer <token>

Ours Privacy API key

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/rest/v1/locations"
{  "entities": [    {      "id": "string",      "accountId": "string",      "mapName": "string",      "customDomain": "string",      "name": "string",      "line1": "string",      "line2": "string",      "city": "string",      "state": "string",      "zip": "string",      "country": "string",      "phoneNumber": "string",      "websiteUrl": "string",      "websiteLinkText": "string",      "latitude": 0,      "longitude": 0,      "additionalAddresses": [        {          "name": "string",          "line1": "string",          "line2": "string",          "city": "string",          "state": "string",          "zip": "string",          "country": "string",          "phoneNumber": "string",          "websiteUrl": "string",          "websiteLinkText": "string",          "latitude": 0,          "longitude": 0        }      ],      "center": {},      "createdAt": "string",      "updatedAt": "string"    }  ]}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
POST
/rest/v1/locations
*object
AuthorizationBearer <token>

Ours Privacy API key

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/rest/v1/locations" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "accountId": "string",  "mapName": "string",  "customDomain": "string",  "name": "string",  "line1": "string",  "line2": "string",  "city": "string",  "state": "string",  "zip": "string",  "country": "string",  "phoneNumber": "string",  "websiteUrl": "string",  "websiteLinkText": "string",  "latitude": 0,  "longitude": 0,  "additionalAddresses": [    {      "name": "string",      "line1": "string",      "line2": "string",      "city": "string",      "state": "string",      "zip": "string",      "country": "string",      "phoneNumber": "string",      "websiteUrl": "string",      "websiteLinkText": "string",      "latitude": 0,      "longitude": 0    }  ],  "center": {},  "createdAt": "string",  "updatedAt": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
PATCH
/rest/v1/locations/{id}
*object
AuthorizationBearer <token>

Ours Privacy API key

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/rest/v1/locations/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "accountId": "string",  "mapName": "string",  "customDomain": "string",  "name": "string",  "line1": "string",  "line2": "string",  "city": "string",  "state": "string",  "zip": "string",  "country": "string",  "phoneNumber": "string",  "websiteUrl": "string",  "websiteLinkText": "string",  "latitude": 0,  "longitude": 0,  "additionalAddresses": [    {      "name": "string",      "line1": "string",      "line2": "string",      "city": "string",      "state": "string",      "zip": "string",      "country": "string",      "phoneNumber": "string",      "websiteUrl": "string",      "websiteLinkText": "string",      "latitude": 0,      "longitude": 0    }  ],  "center": {},  "createdAt": "string",  "updatedAt": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
GET
/rest/v1/locations/{id}/embed-code
AuthorizationBearer <token>

Ours Privacy API key

In: header

Path Parameters

id*string

Query Parameters

color?string

Brand color used in the embedded map UI. Any CSS color string.

Default"#007EA8"
theme?string

Visual theme variant.

Default"default"

Value in

  • "default"
  • "modern"
colorScheme?string

Light or dark color scheme.

Default"light"

Value in

  • "light"
  • "dark"
mapStyle?string

Base map style.

Default"Monochrome"

Value in

  • "Standard"
  • "Monochrome"
includeAddressBox?boolean

Render the address sidebar overlay next to the map. Send false to hide.

zoom?integer

Initial map zoom level (Google-style 1–20).

Range1 <= value <= 20
Default11
includeControls?string

Whether the embed renders map controls. accessible enables keyboard-navigable controls.

Default"yes"

Value in

  • "yes"
  • "no"
  • "accessible"
includeSEOSchema?boolean

Emit a schema.org Place JSON-LD block alongside the iframe so search engines can index the location.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/rest/v1/locations/string/embed-code"
{  "embedCode": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}
{  "error": "string",  "details": "string"}

How is this guide?